body {
    margin: 1rem;
}
.form-group.required .control-label:after {
  content:"*";
  color:red;
}

.create-bot {
    width: 100%;
}

.table-bots {
    float: left;
    z-index: 1;
}

#form-crypto {
    float: right;
}

ul{
    position: absolute;
    left: 0;
    top: 60px;
    margin: 0;
    width: 100%;
    background: #fff;
    box-shadow: 0 5px 15px rgba(0,0,0,0.5);
    padding: 20px;
    box-sizing: border-box;
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    display: none;
}
ul li{
    list-style: none;
    border-bottom: 1px solid rgba(0,0,0,1);
    padding: 8px 0;
    display: flex;
}
ul li:last-child{
    border-bottom: none;
}
ul li .icon{
    width: 24px;
    height: 24px;
    border-radius: 50%;
    text-align: center;
    line-height: 24px;
    margin-right: 15px;
}
ul li .icon .fas{
    color: #f33 !important;
    font-size: 16px;
    line-height: 24px;

}
ul li .text{
    position: relative;
    font-family: sans-serif;
    top: 3px;
    cursor: pointer;
}
ul li:hover .text{
    font-weight: bold;
    color: buttonface;
}
.notification{
    position: absolute;
    width: 60px;
    right: 0;
    height: 60px;
    background: #fff;
    border-radius: 30px;
    box-sizing: border-box;
    text-align: center;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
    z-index: 10;
}
.notification:hover{
    width: 300px;
    height: 60px;
    text-align: left;
    padding: 0 15px;
    background: #f55;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}
.notification .fas{
    color: #cecece;
    line-height: 60px;
    font-size: 30px;
}
.notification:hover .fas{
    color: #fff;
}
.notification .num span{
    position: absolute;
    top: 0;
    right:0;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #f55;
    color: #fff;
    line-height: 25px;
    font-family: sans-serif;
    text-align: center;
}
.notification:hover .num{
    position: relative;
    background: transparent;
    color: #fff;
    font-size: 24px;
    top: -4px;
}
.notification:hover .num span {
    right: -30px;
}
.notification:hover .num:before{
    content: ' Notifications';
}
.notification:hover ul{
    display: block;
}

.tg-content {
    float: left;
}

.form-check-label {
    padding-left: 2.25rem;
    margin-bottom: 0;
}

.form-check-input {
    position: absolute;
    margin-top: .25rem;
    margin-left: 0.75rem;
}
.box {
    display: inline-block;
    float: left;
}